import { defineStore } from "pinia";

const useHomeStore = defineStore('Home', {
    state: () => {
        return {
            Products: Array<any>(
                {
                    name: 'Railings&stairs',
                    position: '3',
                    banner1: { detail: new URL("../../assets/img/railling/01.jpg", import.meta.url).href, name: 'Raillings&stairs', title: 'Safety, Easy Install Railings and Stairs' },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/railling/02.jpg", import.meta.url).href, name: 'Raillings&stairs' },
                    tips: Array<any>(
                        { detail: new URL("../../assets/img/railling/icon01.png", import.meta.url).href, name: 'Safety', title: 'Safety' },
                        { detail: new URL("../../assets/img/railling/icon02.png", import.meta.url).href, name: 'Easy Install', title: 'Easy Install' },
                        { detail: new URL("../../assets/img/railling/icon03.png", import.meta.url).href, name: 'Customized', title: 'Customized' },
                        { detail: new URL("../../assets/img/railling/icon04.png", import.meta.url).href, name: 'High Qulity', title: 'High Qulity' },
                    ),
                    children: Array<any>(
                        {
                            name: 'Railings',
                            message: {
                                title: 'Customized Railing',
                                Application: 'Application: Balcony, deck, stairs, bridge',
                                patiosMaterials: 'patiosMaterials: ASTM Standard Sus304,Sus316,Sus316L,and Sus2205',
                            },
                            banner: { detail: new URL('../../assets/img/railling/railing01.jpg', import.meta.url).href, name: 'railing' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/railling/railing02.jpg', import.meta.url).href, name: 'Frameless Glass Railing', title: 'Frameless Glass Railing' },
                                { detail: new URL('../../assets/img/railling/railing03.jpg', import.meta.url).href, name: 'Wrought Iron Railing', title: 'Wrought Iron Railing' },
                                { detail: new URL('../../assets/img/railling/railing04.jpg', import.meta.url).href, name: 'Cable Wire Railing', title: 'Cable Wire Railing' },
                                { detail: new URL('../../assets/img/railling/railing05.jpg', import.meta.url).href, name: 'Led Glass Railing', title: 'Led Glass Railing' },
                                { detail: new URL('../../assets/img/railling/railing06.jpg', import.meta.url).href, name: '304/316 Stainless Steel Railing', title: '304/316 Stainless Steel Railing' },
                                { detail: new URL('../../assets/img/railling/railing07.jpg', import.meta.url).href, name: 'PVC Railing', title: 'PVC Railing' },
                            )
                        },
                        {
                            name: 'Stairs',
                            message: {
                                title: 'Customized Staircase',
                                mintitle: 'Each product is a unique handmade boutique',
                                Styles: 'Styles: Straight Stairs, Spiral Stairs, Curved Stairs, LShape Stairs, U Shape Stairs, Bifurcated Stairs, Cantile-ver / Floating Stairs',
                            },
                            banner: { detail: new URL('../../assets/img/railling/stairs01.jpg', import.meta.url).href, name: 'stairs' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/railling/stairs02.jpg', import.meta.url).href, name: 'Spiral Stairs', title: 'Spiral Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs03.jpg', import.meta.url).href, name: 'Floating Stairs', title: 'Floating Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs04.jpg', import.meta.url).href, name: 'Mono Stringer', title: 'Mono Stringer' },
                                { detail: new URL('../../assets/img/railling/stairs05.jpg', import.meta.url).href, name: 'Double Beam Stairs', title: 'Double Beam Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs06.jpg', import.meta.url).href, name: 'Curved Stairs', title: 'Curved Stairs' },
                                { detail: new URL('../../assets/img/railling/stairs07.jpg', import.meta.url).href, name: 'Customized Design', title: '' },
                            )
                        }
                    )
                },
                {
                    name: 'Sanitary Ware',
                    position: '6',
                    banner1: { detail: new URL("../../assets/img/sanitary/01.jpg", import.meta.url).href, name: 'Sanitary Wares', title: 'Your design of comfortable customized bathroom' },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/sanitary/02.jpg", import.meta.url).href, name: 'Sanitary Wares' },
                    tips: Array<any>(
                        { detail: new URL("../../assets/img/sanitary/icon01.png", import.meta.url).href, name: 'Comfortable', title: 'Comfortable' },
                        { detail: new URL("../../assets/img/sanitary/icon02.png", import.meta.url).href, name: 'Smart', title: 'Smart' },
                        { detail: new URL("../../assets/img/sanitary/icon03.png", import.meta.url).href, name: 'Customized', title: 'Customized' },
                        { detail: new URL("../../assets/img/sanitary/icon04.png", import.meta.url).href, name: 'High Qulity', title: 'High Qulity' },
                    ),
                    children: Array<any>(
                        {
                            name: 'LED Mirror',
                            banner: { detail: new URL('../../assets/img/sanitary/mirror/bgc.jpg', import.meta.url).href, name: 'LED Mirror' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/mirror/01.jpg', import.meta.url).href, name: 'Rectangle Bathroom LED Mirror', title: 'Rectangle Bathroom LED Mirror' },
                                { detail: new URL('../../assets/img/sanitary/mirror/02.jpg', import.meta.url).href, name: 'Round Bathroom LED Mirror', title: 'Round Bathroom LED Mirror' },
                            ),
                            others1: { detail: new URL('../../assets/img/sanitary/mirror/03.jpg', import.meta.url).href, name: 'Cute Shaped Bathroom LED Mirror', title: 'Cute Shaped Bathroom LED Mirror' },
                            others2: { detail: new URL('../../assets/img/sanitary/mirror/04.jpg', import.meta.url).href, name: 'LED Mirror Optional functions', title: 'LED Mirror Optional functions' }
                        },
                        {
                            name: 'Wooden Frame Mirror',
                            banner: { detail: new URL('../../assets/img/sanitary/wooden/bgc1.jpg', import.meta.url).href, name: 'Customized service in different shapes', title: 'Customized service in different shapes' },
                            banner2: { detail: new URL('../../assets/img/sanitary/wooden/bgc2.jpg', import.meta.url).href, name: 'Customized service in different shapes' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/wooden/01.jpg', import.meta.url).href, name: 'Rectangle Mirror', title: 'Rectangle Mirror' },
                                { detail: new URL('../../assets/img/sanitary/wooden/02.jpg', import.meta.url).href, name: 'Square Mirror', title: 'Square Mirror' },
                                { detail: new URL('../../assets/img/sanitary/wooden/03.jpg', import.meta.url).href, name: 'Irregular Shape Mirror', title: 'Irregular Shape Mirror' },
                            )
                        },
                        {
                            name: 'Faucets',
                            banner: { detail: new URL('../../assets/img/sanitary/mirror/bgc.jpg', import.meta.url).href, name: 'More colors' },
                            banner1: { detail: new URL('../../assets/img/sanitary/Faucets/01.jpg', import.meta.url).href, name: 'Shower Faucet', title: 'Shower Faucet' },
                            banner2: { detail: new URL('../../assets/img/sanitary/Faucets/08.jpg', import.meta.url).href, name: 'Bathtub Faucet', title: 'Bathtub Faucet' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/Faucets/02.jpg', import.meta.url).href, name: 'Single-Hole Basin Faucet', title: 'Single-Hole Basin Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/03.jpg', import.meta.url).href, name: 'Waterfall Basin Faucet', title: 'Waterfall Basin Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/04.jpg', import.meta.url).href, name: 'Sensor Faucet', title: 'Sensor Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/05.jpg', import.meta.url).href, name: 'Wall-Mounted Basin Faucet', title: 'Wall-Mounted Basin Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/06.jpg', import.meta.url).href, name: '8 Widespread Basin Faucet', title: '8 Widespread Basin Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/07.jpg', import.meta.url).href, name: '4 Centerset Basin Faucet', title: '4 Centerset Basin Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/09.jpg', import.meta.url).href, name: 'Bathtub Faucet', title: 'Bathtub Faucet' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/10.jpg', import.meta.url).href, name: 'Bathroom Accessories', title: 'Bathroom Accessories' },
                                { detail: new URL('../../assets/img/sanitary/Faucets/11.jpg', import.meta.url).href, name: 'Accessories', title: 'Accessories' },
                            ),
                            others2: {
                                title: 'More colors',
                                mintitle: 'can better match your house style',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Faucets/12.jpg', import.meta.url).href, name: 'colors', title: 'colors' },
                                    { detail: new URL('../../assets/img/sanitary/Faucets/13.jpg', import.meta.url).href, name: 'colors', title: 'colors' },
                                )
                            }
                        },
                        {
                            name: 'Basins',
                            banner: { detail: new URL('../../assets/img/sanitary/Basins/bgc.jpg', import.meta.url).href, name: 'Basins' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/Basins/01.jpg', import.meta.url).href, name: 'COUNTERTOP Basins' },
                                { detail: new URL('../../assets/img/sanitary/Basins/02.jpg', import.meta.url).href, name: 'WALL-HUNG Basins' },
                                { detail: new URL('../../assets/img/sanitary/Basins/03.jpg', import.meta.url).href, name: 'PEDESTAL Basins' },
                                { detail: new URL('../../assets/img/sanitary/Basins/04.jpg', import.meta.url).href, name: 'UNDERCOUNTER Basins' },
                            ),
                            others2: {
                                title: 'More styles',
                                mintitle: 'can better match your house design',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Basins/other01.jpg', import.meta.url).href, name: 'Artificial stone basin', title: 'Artificial stone basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other02.jpg', import.meta.url).href, name: 'Concrete basin', title: 'Concrete basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other03.jpg', import.meta.url).href, name: 'Feather edge', title: 'Feather edge' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other04.jpg', import.meta.url).href, name: 'Stainless steel basin', title: 'Stainless steel basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other05.jpg', import.meta.url).href, name: 'Glass basin', title: 'Glass basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other06.jpg', import.meta.url).href, name: 'Marble basin', title: 'Marble basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other07.jpg', import.meta.url).href, name: 'Art basin', title: 'Art basin' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/other08.jpg', import.meta.url).href, name: 'Wall hung basin', title: 'Wall hung basin' },
                                )
                            },
                            icons: {
                                title: 'BEST QUALITY',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon01.png', import.meta.url).href, name: 'Integrated Moulding' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon02.png', import.meta.url).href, name: 'Healthy Material' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon03.png', import.meta.url).href, name: 'Gel Coating' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon04.png', import.meta.url).href, name: 'No easy to crack' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon05.png', import.meta.url).href, name: 'Easy to clean' },
                                    { detail: new URL('../../assets/img/sanitary/Basins/icon/icon06.png', import.meta.url).href, name: 'Water Proof' },
                                )
                            }
                        },
                        {
                            name: 'Toilets',
                            banner: { detail: new URL("../../assets/img/sanitary/toilet/01.jpg", import.meta.url).href, name: 'Smart Toilet' },
                            others: Array<any>(
                                { detail: new URL("../../assets/img/sanitary/toilet/other01.jpg", import.meta.url).href, name: 'Toilet' },
                                { detail: new URL("../../assets/img/sanitary/toilet/other02.jpg", import.meta.url).href, name: 'Toilet' },
                                { detail: new URL("../../assets/img/sanitary/toilet/other03.jpg", import.meta.url).href, name: 'Toilet' },
                                { detail: new URL("../../assets/img/sanitary/toilet/other04.jpg", import.meta.url).href, name: 'Toilet' },
                            ),
                            styles: {
                                title: 'More styles',
                                mintitle: 'can better match your house design',
                                children: Array<any>(
                                    { detail: new URL("../../assets/img/sanitary/toilet/style01.png", import.meta.url).href, name: 'One Piece Toilet', title: 'One Piece Toilet' },
                                    { detail: new URL("../../assets/img/sanitary/toilet/style02.png", import.meta.url).href, name: 'Two Piece Toilet', title: 'Two Piece Toilet' },
                                    { detail: new URL("../../assets/img/sanitary/toilet/style03.png", import.meta.url).href, name: 'Wall Hung Toilet', title: 'Wall Hung Toilet' },
                                )
                            }
                        },
                        {
                            name: 'Tubs',
                            banner: { detail: new URL('../../assets/img/sanitary/mirror/bgc.jpg', import.meta.url).href, name: 'Tubs' },
                            others: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/tubs/01.jpg', import.meta.url).href, name: 'Freestanding Bath Tub', title: 'Freestanding Bath Tub' },
                                { detail: new URL('../../assets/img/sanitary/tubs/02.jpg', import.meta.url).href, name: 'Freestanding Bath Tub with Supporting Foot', title: 'Freestanding Bath Tub with Supporting Foot' },
                                { detail: new URL('../../assets/img/sanitary/tubs/03.jpg', import.meta.url).href, name: 'Smart Constant Temperature Massage BathTub', title: 'Smart Constant Temperature Massage BathTub' },
                                { detail: new URL('../../assets/img/sanitary/tubs/04.jpg', import.meta.url).href, name: 'Drop in Bathtub', title: 'Drop in Bathtub' },
                                { detail: new URL('../../assets/img/sanitary/tubs/05.jpg', import.meta.url).href, name: 'SPA tub/Jacuzzi', title: 'SPA tub/Jacuzzi' },
                                { detail: new URL('../../assets/img/sanitary/tubs/06.jpg', import.meta.url).href, name: 'swim SPA', title: 'swim SPA' },
                            ),
                            others2: {
                                title: 'VARIOUS STYLES',
                                mintitle: 'BATHROOMS THAT MEET DIFFERENT HOUSEHOLD STYLES',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/tubs/001.jpg', import.meta.url).href, name: 'HD-1001', title: 'HD-1001' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/002.jpg', import.meta.url).href, name: 'HD-1004', title: 'HD-1004' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/003.jpg', import.meta.url).href, name: 'HD-1017', title: 'HD-1017' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/004.jpg', import.meta.url).href, name: 'HD-1020', title: 'HD-1020' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/005.jpg', import.meta.url).href, name: 'HD-1021', title: 'HD-1021' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/006.jpg', import.meta.url).href, name: 'HD-1030', title: 'HD-1030' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/007.jpg', import.meta.url).href, name: 'HD-1037', title: 'HD-1037' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/008.jpg', import.meta.url).href, name: 'CUSTOMIZED', title: 'CUSTOMIZED' },
                                )
                            },
                            icons: {
                                title: 'BEST QUALITY',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/tubs/icon/icon01.png', import.meta.url).href, name: 'Healthy Material' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/icon/icon02.png', import.meta.url).href, name: 'Easy to clean' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/icon/icon03.png', import.meta.url).href, name: 'Not easy to crack' },
                                    { detail: new URL('../../assets/img/sanitary/tubs/icon/icon04.png', import.meta.url).href, name: 'Durable Test' },
                                )
                            }
                        },
                        {
                            name: 'Shower Rooms',
                            others: {
                                title: 'Shower Enclosure',
                                title2: 'More Available Finishes',
                                icontitle: 'High Quality',
                                mintitle: 'can better match your house design',
                                banner: { detail: new URL('../../assets/img/sanitary/Shower/01.jpg', import.meta.url).href, name: 'Shower Rooms' },
                                colors: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color1.png', import.meta.url).href, name: 'Polished Chrome' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color2.png', import.meta.url).href, name: 'Polished Stainless' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color3.png', import.meta.url).href, name: 'Brushed Stainless' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color4.png', import.meta.url).href, name: 'Brushed Nickel' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color5.png', import.meta.url).href, name: 'Matte Black' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color6.png', import.meta.url).href, name: 'Satin Gold' },
                                ),
                                icons: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Shower/icon/icon01.png', import.meta.url).href, name: 'Polished Chrome' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/icon/icon02.png', import.meta.url).href, name: 'Polished Chrome' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/icon/icon03.png', import.meta.url).href, name: 'Polished Chrome' },
                                ),
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Shower/02.jpg', import.meta.url).href, name: 'Frameless Pivot Glass Shower Doors', title: 'Frameless Pivot Glass Shower Doors' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/03.jpg', import.meta.url).href, name: 'Shower Cabin', title: 'Shower Cabin' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/04.jpg', import.meta.url).href, name: 'All In One Shower Room', title: 'All In One Shower Room' },
                                )
                            }
                        },
                        {
                            name: 'Shower Columns/Panel',
                            children: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/panel/01.jpg', import.meta.url).href, name: 'Shower Columns', title: 'Shower Columns' },
                                { detail: new URL('../../assets/img/sanitary/panel/02.jpg', import.meta.url).href, name: 'Shower Panel', title: ' Shower Panel' },
                                { detail: new URL('../../assets/img/sanitary/panel/03.jpg', import.meta.url).href, name: 'Wall Mounted Shower', title: 'Wall Mounted Shower' },
                            ),
                            others: {
                                title: 'Shower Fixtures',
                                title2: 'More Available Finishes',
                                icontitle: 'High Quality',
                                mintitle: 'can better match your house design',
                                colors: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color1.png', import.meta.url).href, name: 'Polished Chrome' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color2.png', import.meta.url).href, name: 'Polished Stainless' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color3.png', import.meta.url).href, name: 'Brushed Stainless' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color4.png', import.meta.url).href, name: 'Brushed Nickel' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color5.png', import.meta.url).href, name: 'Matte Black' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color6.png', import.meta.url).href, name: 'Satin Gold' },
                                ),
                                icons: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/panel/icon/icon01.png', import.meta.url).href, name: 'Easy Switch' },
                                    { detail: new URL('../../assets/img/sanitary/panel/icon/icon02.png', import.meta.url).href, name: 'Eacy Fit' },
                                    { detail: new URL('../../assets/img/sanitary/panel/icon/icon03.png', import.meta.url).href, name: 'Eco Lead Free Material' },
                                    { detail: new URL('../../assets/img/sanitary/panel/icon/icon04.png', import.meta.url).href, name: 'SPA Experience' },
                                )
                            }
                        },
                        {
                            name: 'Bathroom Cabinet',
                            tips: 'Please contact us for more design options',
                            banner: { detail: new URL('../../assets/img/sanitary/cabinet/01.jpg', import.meta.url).href, name: 'BATHROOM CABINET', title: 'BATHROOM CABINET' },
                            children: Array<any>(
                                { detail: new URL('../../assets/img/sanitary/cabinet/02.jpg', import.meta.url).href, name: 'BATHROOM CABINET', title: 'BATHROOM CABINET' },
                                { detail: new URL('../../assets/img/sanitary/cabinet/03.jpg', import.meta.url).href, name: 'BATHROOM CABINET', title: 'BATHROOM CABINET' },
                            ),
                            others: {
                                title: 'Bathroom Cabinet',
                                desc: 'We offer a professional customization service with any different Material，surface finishes，drawer opitions and accessories.',
                                options: {
                                    title: 'Material Options',
                                    children: Array<any>(
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/01.jpg', import.meta.url).href, name: 'Chip Board', title: 'Chip Board' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/02.jpg', import.meta.url).href, name: 'MDF', title: 'MDF' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/03.jpg', import.meta.url).href, name: 'Poly Wood', title: 'Poly Wood' },
                                    )
                                },
                                finishes: {
                                    title: 'Surface Finishes',
                                    children: Array<any>(
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/finishes01.jpg', import.meta.url).href, name: 'PVC', title: 'PVC' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/finishes02.jpg', import.meta.url).href, name: 'MELANINE', title: 'MELANINE' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/options/finishes03.jpg', import.meta.url).href, name: 'EPOXY POWER', title: 'EPOXY POWER' },
                                    )
                                },
                                icons: {
                                    title: 'High Quality',
                                    children: Array<any>(
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon01.png', import.meta.url).href, name: 'Multilayer Solid Wood' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon02.png', import.meta.url).href, name: 'Flexible Storage' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon03.png', import.meta.url).href, name: 'Sliver Mirror' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon04.png', import.meta.url).href, name: 'Wear-Resisting' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon05.png', import.meta.url).href, name: 'Storage' },
                                        { detail: new URL('../../assets/img/sanitary/cabinet/icon/icon06.png', import.meta.url).href, name: 'Collocation' },
                                    )
                                }
                            }
                        },
                        {
                            name: 'Bathroom Accessories',
                            banner: { detail: new URL('../../assets/img/sanitary/accessories/01.jpg', import.meta.url).href, name: 'Bathroom Accessories', title: ' Bathroom Accessories' },
                            banner2: { detail: new URL('../../assets/img/sanitary/accessories/02.png', import.meta.url).href, name: 'Bathroom Accessories', title: 'Bathroom Accessories' },
                            others: {
                                title: 'More Available Finishes',
                                mintitle: 'can better match your house design',
                                children: Array<any>(
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color1.png', import.meta.url).href, name: 'Polished Chrome' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color2.png', import.meta.url).href, name: 'Polished Stainless' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color3.png', import.meta.url).href, name: 'Brushed Stainless' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color4.png', import.meta.url).href, name: 'Brushed Nickel' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color5.png', import.meta.url).href, name: 'Matte Black' },
                                    { detail: new URL('../../assets/img/sanitary/Shower/color/color6.png', import.meta.url).href, name: 'Satin Gold' },
                                )
                            }
                        }
                    )
                },
                {
                    name: 'Windows',
                    position: '2',
                    banner1: { detail: new URL("../../assets/img/window/1.jpg", import.meta.url).href, name: 'Soundproof, Anti-theft , Waterproof, Airtight，Customized Color Windows', title: 'Soundproof, Anti-theft , Waterproof, Airtight，Customized Color Windows' },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/window/others/05.jpg", import.meta.url).href, name: 'Windows' },
                    others: Array<any>(
                        { detail: new URL("../../assets/img/window/others/01.png", import.meta.url).href, name: 'Flush double inner opening system window', title: 'Flush double inner opening system window' },
                        { detail: new URL("../../assets/img/window/others/02.jpg", import.meta.url).href, name: 'Open passive window inside the broken bridge', title: 'Open passive window inside the broken bridge' },
                        { detail: new URL("../../assets/img/window/others/03.jpg", import.meta.url).href, name: 'Broken Bridge Narrow Flat Inner Window', title: 'Broken Bridge Narrow Flat Inner Window' },
                        { detail: new URL("../../assets/img/window/others/04.jpg", import.meta.url).href, name: 'Sliding window', title: 'Sliding window' },
                        { detail: new URL("../../assets/img/window/others/05.jpg", import.meta.url).href, name: 'Traditional Frame Crank Open Casement Windows', title: 'Traditional Frame Crank Open Casement Windows' },
                        { detail: new URL("../../assets/img/window/others/06.jpg", import.meta.url).href, name: 'Slide Up Window', title: 'Slide Up Window' },
                    ),
                    icons: Array<any>(
                        { detail: new URL("../../assets/img/window/icons/icon01.png", import.meta.url).href, name: 'Sound Proof' },
                        { detail: new URL("../../assets/img/window/icons/icon02.png", import.meta.url).href, name: 'Anti-theft' },
                        { detail: new URL("../../assets/img/window/icons/icon03.png", import.meta.url).href, name: 'Water Proof' },
                        { detail: new URL("../../assets/img/window/icons/icon04.png", import.meta.url).href, name: 'Hurricane Resistant' },
                        { detail: new URL("../../assets/img/window/icons/icon05.png", import.meta.url).href, name: 'Air Tightness' },
                        { detail: new URL("../../assets/img/window/icons/icon06.png", import.meta.url).href, name: 'Thermal Insulation' },
                    )
                },
                {
                    name: 'Building Materials',
                    position: '4',
                    banner1: { detail: new URL("../../assets/img/building/01.jpg", import.meta.url).href, name: 'Enjoy the beauty of your buliding', title: 'Enjoy the beauty of your buliding' },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/building/2.jpg", import.meta.url).href, name: 'Stone Series' },
                    tips: Array<any>(
                        { detail: new URL("../../assets/img/building/icons/icon01.png", import.meta.url).href, name: 'One stop product supply', title: 'One stop product supply' },
                        { detail: new URL("../../assets/img/building/icons/icon02.png", import.meta.url).href, name: 'Customized', title: 'Customized' },
                        { detail: new URL("../../assets/img/building/icons/icon03.png", import.meta.url).href, name: 'Controllable Cost', title: 'Controllable Cost' },
                        { detail: new URL("../../assets/img/building/icons/icon04.png", import.meta.url).href, name: 'High Qulity', title: 'High Qulity' },
                    ),
                    children: Array<any>(
                        {
                            name: 'LVT/SPC Flooring',
                            banner: { detail: new URL("../../assets/img/building/flooring/01.jpg", import.meta.url).href, name: 'flooring', title: 'Green flooring that restores the texture of natural wood or stone, and brings nature home.' },
                            banner1: { detail: new URL("../../assets/img/building/flooring/floor/09.jpg", import.meta.url).href, name: 'customsize' },
                            icons: Array<any>(
                                { detail: new URL("../../assets/img/building/flooring/icon/icon01.png", import.meta.url).href, name: 'Water Proof', title: 'Water Proof' },
                                { detail: new URL("../../assets/img/building/flooring/icon/icon02.png", import.meta.url).href, name: 'Project Scrach', title: 'Project Scrach' },
                                { detail: new URL("../../assets/img/building/flooring/icon/icon03.png", import.meta.url).href, name: 'Fire Proof', title: 'Fire Proof' },
                                { detail: new URL("../../assets/img/building/flooring/icon/icon04.png", import.meta.url).href, name: 'Easy Fit', title: 'Easy Fit' },
                            ),
                            product: {
                                title: 'More Texture',
                                mintitle: 'can better match your house design',
                                children: Array<any>(
                                    { detail: new URL("../../assets/img/building/flooring/product/01.jpg", import.meta.url).href, name: 'Deep embossed', title: 'Deep embossed' },
                                    { detail: new URL("../../assets/img/building/flooring/product/02.jpg", import.meta.url).href, name: 'Crystal', title: 'Crystal' },
                                    { detail: new URL("../../assets/img/building/flooring/product/03.jpg", import.meta.url).href, name: 'Matt surface', title: 'Matt surface' },
                                    { detail: new URL("../../assets/img/building/flooring/product/04.jpg", import.meta.url).href, name: 'Stone', title: 'Stone' },
                                    { detail: new URL("../../assets/img/building/flooring/product/05.jpg", import.meta.url).href, name: 'Embossed in register', title: 'Embossed in register' },
                                    { detail: new URL("../../assets/img/building/flooring/product/06.jpg", import.meta.url).href, name: 'High gloss', title: 'High gloss' },
                                )
                            },
                            floor: Array<any>(
                                {
                                    title: 'Self Adhesive',
                                    Thickness: '1.2mm-3mm',
                                    Wearlayer: '0.1mm-0.5mm',
                                    Pattern: 'Wood/ Woven/ Carpet/Stone/Marble',
                                    Finish: 'Embossed/ Smooth',
                                    Feature: 'Waterproof/ Anti-slip/ Anti-wear/ Formaldehyde Free/Fireproof',
                                    Advantage: 'No need any glue for installationCompetitive prices',
                                    leftimg: { detail: new URL("../../assets/img/building/flooring/floor/01.jpg", import.meta.url).href, name: 'Self Adhesive' },
                                    rightimg: { detail: new URL("../../assets/img/building/flooring/floor/02.jpg", import.meta.url).href, name: 'Self Adhesive' }
                                },
                                {
                                    title: 'Click Lock',
                                    Thickness: '3.5-6.0mm',
                                    Wearlayer: '0.1mm-0.5mm',
                                    Pattern: 'Wood/ Woven/ Carpet/Stone/ Marble',
                                    Finish: 'Embossed/ Smooth',
                                    Feature: 'Waterproof/ Anti-slip/ Anti-wear/ Formaldehyde Free/Fireproof',
                                    Advantage: 'No need any glue, click together',
                                    leftimg: { detail: new URL("../../assets/img/building/flooring/floor/03.jpg", import.meta.url).href, name: 'Click Lock' },
                                    rightimg: { detail: new URL("../../assets/img/building/flooring/floor/04.jpg", import.meta.url).href, name: 'Click Lock' }
                                },
                                {
                                    title: 'Loose Lay',
                                    Thickness: '3.5mm-6.0mm',
                                    Wearlayer: '0.1mm-0.5mm',
                                    Pattern: 'Wood/ Woven/ Carpet/Stone/ Marble',
                                    Finish: 'Embossed/ Smooth',
                                    Feature: 'Waterproof/ Anti-slip/ Anti-wear/ Formaldehyde Free/Fireproof',
                                    Advantage: 'No need any glue',
                                    leftimg: { detail: new URL("../../assets/img/building/flooring/floor/05.jpg", import.meta.url).href, name: 'Loose Lay' },
                                    rightimg: { detail: new URL("../../assets/img/building/flooring/floor/06.jpg", import.meta.url).href, name: 'Loose Lay' }
                                },
                                {
                                    title: 'Dry Back',
                                    Thickness: '1.2mm-3mm',
                                    Wearlayer: '0.1mm-0.5mm',
                                    Pattern: 'Wood/ Woven/ Carpet/Stone/ Marble',
                                    Finish: 'Embossed/ Smooth',
                                    Feature: 'Waterproof/ Anti-slip/ Anti-wear/ Formaldehyde Free/Fireproof',
                                    Advantage: 'Need Glue for installation',
                                    leftimg: { detail: new URL("../../assets/img/building/flooring/floor/07.jpg", import.meta.url).href, name: 'Dry Back' },
                                    rightimg: { detail: new URL("../../assets/img/building/flooring/floor/08.jpg", import.meta.url).href, name: 'Dry Back' }
                                },
                            )
                        },
                        {
                            name: 'WPC Series',
                            title: 'PRODUCT CATEGORIES',
                            banner: { detail: new URL("../../assets/img/building/series/10.jpg", import.meta.url).href, name: 'Product Features' },
                            children: Array<any>(
                                { detail: new URL("../../assets/img/building/series/01.jpg", import.meta.url).href, name: 'PU STONE', title: 'PU STONE' },
                                { detail: new URL("../../assets/img/building/series/02.jpg", import.meta.url).href, name: 'UV MARLE SHEET', title: 'UV MARLE SHEET' },
                                { detail: new URL("../../assets/img/building/series/03.jpg", import.meta.url).href, name: 'INDOOR WPC WALL PANEL', title: 'INDOOR WPC WALL PANEL' },
                                { detail: new URL("../../assets/img/building/series/04.jpg", import.meta.url).href, name: 'PS SKIRTING', title: 'PS SKIRTING' },
                                { detail: new URL("../../assets/img/building/series/05.jpg", import.meta.url).href, name: 'WPC FENCE', title: 'WPC FENCE' },
                                { detail: new URL("../../assets/img/building/series/06.jpg", import.meta.url).href, name: 'WPC DECKING', title: 'WPC DECKING' },
                                { detail: new URL("../../assets/img/building/series/07.jpg", import.meta.url).href, name: 'OUT DOOR WPC WALL PANEL', title: 'OUT DOOR WPC WALL PANEL' },
                                { detail: new URL("../../assets/img/building/series/08.jpg", import.meta.url).href, name: 'PS WPC PANEL', title: 'PS WPC PANEL' },
                            ),
                            features: Array<any>(
                                { position: '1', content: 'Eco-friendly made from recycled plastics and non-virgin wood.' },
                                { position: '2', content: 'Highly termite resistant, waterproof.' },
                                { position: '3', content: 'Timber like finish for an excellent non-slip feel.' },
                                { position: '4', content: 'No staining or painting required.' },
                                { position: '5', content: 'Water and corrosion resistant, alkali-proof, moth-proof, stainable and malleable, low pollution risk and odor-free.' },
                                { position: '6', content: 'Easy to install and clean.' },
                                { position: '7', content: 'Against UV.' },
                            ),
                            others: Array<any>(
                                { detail: new URL("../../assets/img/building/series/1.jpg", import.meta.url).href, name: 'PVC MARBLE SHEET' },
                                { detail: new URL("../../assets/img/building/series/2.jpg", import.meta.url).href, name: 'INDOOR WPC WALL PANEL' },
                                { detail: new URL("../../assets/img/building/series/3.jpg", import.meta.url).href, name: 'PU STONE' },
                                { detail: new URL("../../assets/img/building/series/4.jpg", import.meta.url).href, name: 'PS SKIRTING' },
                                { detail: new URL("../../assets/img/building/series/5.jpg", import.meta.url).href, name: 'PS WALL PANEL' },
                                { detail: new URL("../../assets/img/building/series/6.jpg", import.meta.url).href, name: 'OUTDOOR WPC WALL PANEL' },
                                { detail: new URL("../../assets/img/building/series/7.jpg", import.meta.url).href, name: 'WPC DECKING' },
                                { detail: new URL("../../assets/img/building/series/8.jpg", import.meta.url).href, name: 'WPC FENCE' },
                            )
                        },
                        {
                            name: 'FCP Series',
                            others: Array<any>(
                                { detail: new URL("../../assets/img/building/fcp/01.png", import.meta.url).href, name: 'PRODUCT CATEGORY' },
                                { detail: new URL("../../assets/img/building/fcp/02.png", import.meta.url).href, name: 'Calcium silicate board' },
                                { detail: new URL("../../assets/img/building/fcp/03.png", import.meta.url).href, name: 'Fiber Cement Board' },
                                { detail: new URL("../../assets/img/building/fcp/04.png", import.meta.url).href, name: 'Fireproof Calcium Silicate Board' },
                                { detail: new URL("../../assets/img/building/fcp/05.png", import.meta.url).href, name: 'Fiber Cement Decorative Board' },
                                { detail: new URL("../../assets/img/building/fcp/06.png", import.meta.url).href, name: 'Hospital Antibacterial Board' },
                                { detail: new URL("../../assets/img/building/fcp/07.png", import.meta.url).href, name: 'Wood Grain Fiber Cement Siding Board' },
                            )
                        },
                        {
                            name: 'Stone Series',
                            banner: { detail: new URL("../../assets/img/building/stone/bgc.jpg", import.meta.url).href, name: 'Stone Series' },
                            children: Array<any>(
                                { detail: new URL("../../assets/img/building/stone/01.jpg", import.meta.url).href, name: 'Wall Stone', title: 'Wall Stone' },
                                { detail: new URL("../../assets/img/building/stone/02.jpg", import.meta.url).href, name: 'Natural  Stone', title: 'Natural  Stone' },
                                { detail: new URL("../../assets/img/building/stone/03.jpg", import.meta.url).href, name: 'Artificial Stone', title: 'Artificial Stone' },
                                { detail: new URL("../../assets/img/building/stone/04.jpg", import.meta.url).href, name: 'Countertops，Vanity Tops & Table Tops', title: 'Countertops，Vanity Tops & Table Tops' },
                            )
                        }
                    )
                },
                {
                    name: 'Kitchen Faucets Sinks Cabinets',
                    position: '5',
                    banner1: { detail: new URL("../../assets/img/Kitchen/01.jpg", import.meta.url).href, name: 'Easy clean, Durable, Trendy Kitchen', title: 'Easy clean, Durable, Trendy Kitchen' },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/Kitchen/02.jpg", import.meta.url).href, name: 'Stone Series' },
                    tips: Array<any>(
                        { detail: new URL("../../assets/img/Kitchen/icon01.png", import.meta.url).href, name: 'Customized Cabinet Manufacturer', title: 'Customized Cabinet Manufacturer' },
                        { detail: new URL("../../assets/img/Kitchen/icon02.png", import.meta.url).href, name: 'Quick Quotation and Free amples', title: 'Quick Quotation and Free amples' },
                        { detail: new URL("../../assets/img/Kitchen/icon03.png", import.meta.url).href, name: 'World-wideProject Experience/Project Budget Solution', title: 'World-wideProject Experience/Project Budget Solution' },
                        { detail: new URL("../../assets/img/Kitchen/icon04.png", import.meta.url).href, name: 'Solid Packing/Pallet Packing', title: 'Solid Packing/Pallet Packing' },
                        { detail: new URL("../../assets/img/Kitchen/icon05.png", import.meta.url).href, name: 'Professiona lQC Report/Installation Support', title: 'Professiona lQC Report/Installation Support' },
                    ),
                    children: Array<any>(
                        {
                            name: 'Kitchen Cabinet',
                            banner: { detail: new URL("../../assets/img/Kitchen/03.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                            banner1: { detail: new URL("../../assets/img/Kitchen/07.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                            banner2: { detail: new URL("../../assets/img/Kitchen/04.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                            others: Array<any>(
                                { detail: new URL("../../assets/img/Kitchen/05.jpg", import.meta.url).href, name: 'Kitchen Cabinet' },
                                { detail: new URL("../../assets/img/Kitchen/06.jpg", import.meta.url).href, name: 'Kitchen Cabinet' }
                            )
                        },
                        {
                            name: 'Kitchen Sinks/Faucets',
                            banner1: { detail: new URL("../../assets/img/Kitchen/12.jpg", import.meta.url).href, name: 'Kitchen Sinks/Faucets' }

                        }
                    )
                },
                {
                    name: 'Doors',
                    position: '1',
                    banner1: {
                        detail: new URL("../../assets/img/Door/01.jpg", import.meta.url).href, name: 'Safety, Health, and Customized Doors for your project',
                        title: 'Safety, Health, and Customized Doors for your project'
                    },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/Door/002.jpg", import.meta.url).href, name: 'Doors' },
                    tips: Array<any>(
                        { detail: new URL("../../assets/img/railling/icon01.png", import.meta.url).href, name: 'Safety', title: 'Safety' },
                        { detail: new URL("../../assets/img/Door/001.png", import.meta.url).href, name: 'Anti-Fire', title: 'Anti-Fire' },
                        { detail: new URL("../../assets/img/railling/icon03.png", import.meta.url).href, name: 'Customized', title: 'Customized' },
                        { detail: new URL("../../assets/img/railling/icon04.png", import.meta.url).href, name: 'High Qulity', title: 'High Qulity' },
                    ),
                    children: Array<any>(
                        {
                            name: 'Wrought Iron Door',
                            banner1: { detail: new URL("../../assets/img/Door/01/01.jpg", import.meta.url).href, name: 'Wrought Iron Door' },
                            leftimg: { detail: new URL("../../assets/img/Door/01/02.jpg", import.meta.url).href, name: 'WROUGHT IRON ENTRANCE DOOR' },
                            rightimg: Array<any>(
                                { detail: new URL("../../assets/img/Door/01/03.jpg", import.meta.url).href, name: 'Wrought Iron Door' },
                                { detail: new URL("../../assets/img/Door/01/04.jpg", import.meta.url).href, name: 'Wrought Iron Door' },
                            )
                        },
                        {
                            name: 'Steel Security Door',
                            banner1: { detail: new URL("../../assets/img/Door/02/01.jpg", import.meta.url).href, name: 'Steel Security Door' },
                            leftimg: { detail: new URL("../../assets/img/Door/02/02.jpg", import.meta.url).href, name: 'Steel Security Door' },
                            rightimg: Array<any>(
                                { detail: new URL("../../assets/img/Door/02/03.jpg", import.meta.url).href, name: 'Steel Security Door' },
                                { detail: new URL("../../assets/img/Door/02/04.jpg", import.meta.url).href, name: 'Steel Security Door' },
                            )
                        },
                        {
                            name: 'Pivot Entrance  Door',
                            banner1: { detail: new URL("../../assets/img/Door/03/01.jpg", import.meta.url).href, name: 'Pivot Entrance  Door' },
                            leftimg: { detail: new URL("../../assets/img/Door/03/02.jpg", import.meta.url).href, name: 'Pivot Entrance  Door' },
                            rightimg: Array<any>(
                                { detail: new URL("../../assets/img/Door/03/03.jpg", import.meta.url).href, name: 'Pivot Entrance  Door' },
                                { detail: new URL("../../assets/img/Door/03/04.jpg", import.meta.url).href, name: 'Pivot Entrance  Door' },
                            )
                        },
                        {
                            name: 'Wooden Internal Door',
                            banner1: { detail: new URL("../../assets/img/Door/04/01.jpg", import.meta.url).href, name: 'Wooden Internal Door' },
                            leftimg: { detail: new URL("../../assets/img/Door/04/02.jpg", import.meta.url).href, name: 'Wooden Internal Door' },
                            rightimg: Array<any>(
                                { detail: new URL("../../assets/img/Door/04/03.jpg", import.meta.url).href, name: 'Wooden Internal Door' },
                                { detail: new URL("../../assets/img/Door/04/04.jpg", import.meta.url).href, name: 'Wooden Internal Door' },
                            )
                        },
                        {
                            name: 'Fire  Door',
                            banner1: { detail: new URL("../../assets/img/Door/05/01.jpg", import.meta.url).href, name: 'Fire  Door' },
                            leftimg: { detail: new URL("../../assets/img/Door/05/02.jpg", import.meta.url).href, name: 'Fire  Door' },
                            rightimg: Array<any>(
                                { detail: new URL("../../assets/img/Door/05/03.jpg", import.meta.url).href, name: 'Fire  Door' },
                                { detail: new URL("../../assets/img/Door/05/04.jpg", import.meta.url).href, name: 'Fire  Door' },
                            )
                        },
                        {
                            name: 'Sliding  Door',
                            banner1: { detail: new URL("../../assets/img/Door/06/01.jpg", import.meta.url).href, name: 'Sliding  Door' },
                            leftimg: { detail: new URL("../../assets/img/Door/06/02.jpg", import.meta.url).href, name: 'Sliding  Door' },
                            rightimg: Array<any>(
                                { detail: new URL("../../assets/img/Door/06/03.jpg", import.meta.url).href, name: 'Sliding  Door' },
                                { detail: new URL("../../assets/img/Door/06/04.jpg", import.meta.url).href, name: 'Sliding  Door' },
                            )
                        },
                        {
                            name: 'Hanging Sliding  Door',
                            banner1: { detail: new URL("../../assets/img/Door/07/01.jpg", import.meta.url).href, name: 'Hanging Sliding  Door' },
                            leftimg: { detail: new URL("../../assets/img/Door/07/02.jpg", import.meta.url).href, name: 'Hanging Sliding  Door' },
                            rightimg: Array<any>(
                                { detail: new URL("../../assets/img/Door/07/03.jpg", import.meta.url).href, name: 'Hanging Sliding  Door' },
                                { detail: new URL("../../assets/img/Door/07/04.jpg", import.meta.url).href, name: 'Hanging Sliding  Door' },
                            )
                        },
                        {
                            name: 'Fold Sliding  Door',
                            banner1: { detail: new URL("../../assets/img/Door/08/01.jpg", import.meta.url).href, name: 'Fold Sliding  Door' },
                            leftimg: { detail: new URL("../../assets/img/Door/08/02.jpg", import.meta.url).href, name: 'Fold Sliding  Door' },
                            rightimg: Array<any>(
                                { detail: new URL("../../assets/img/Door/08/03.jpg", import.meta.url).href, name: 'Fold Sliding  Door' },
                                { detail: new URL("../../assets/img/Door/08/04.jpg", import.meta.url).href, name: 'Fold Sliding  Door' },
                            )
                        }
                    )
                },
                {
                    name: 'Hotel FFE',
                    position: '0',
                    banner1: {
                        detail: new URL("../../assets/img/FFE/1.jpg", import.meta.url).href,
                        name: 'Montier  FF&E services will give you a fully installed and ready-to - use solution.',
                        title: 'Montier  FF&E services will give you a fully installed and ready-to - use solution.'
                    },
                    banner2: { detail: new URL("../../assets/img/productbanner.jpg", import.meta.url).href, name: 'productbanner' },
                    banner3: { detail: new URL("../../assets/img/FFE/02.jpg", import.meta.url).href, name: 'FFE' },
                    tips: Array<any>(
                        { detail: new URL("../../assets/img/FFE/icon01.png", import.meta.url).href, name: 'FFE for public area', title: 'FFE for public area' },
                        { detail: new URL("../../assets/img/FFE/icon02.png", import.meta.url).href, name: 'FFE for rooms', title: 'FFE for rooms' },
                        { detail: new URL("../../assets/img/FFE/icon03.png", import.meta.url).href, name: 'Energy saving for lights and heating', title: 'Energy saving for lights and heating' },
                        { detail: new URL("../../assets/img/FFE/icon04.png", import.meta.url).href, name: 'Smart rooms', title: 'Smart rooms' },
                    ),
                    others: Array<any>(
                        { detail: new URL('../../assets/img/FFE/2.jpg', import.meta.url).href, name: 'FFE' },
                        { detail: new URL('../../assets/img/FFE/3.jpg', import.meta.url).href, name: 'FFE' },
                    )
                }
            ),
            News: Array<any>(
                {
                    title: 'What can we do for you?',
                    date: '2023-8-18',
                    position: '0',
                    banner: { detail: new URL("../../assets/img/News/whatcanwedo.jpg", import.meta.url).href, name: 'what can we do for you?' },
                    others: Array<any>(
                        { position: '1', title: 'Our Main Market', content: '<p>USA, Canada,South America, Mid East</p>' },
                        { position: '2', title: 'Hotel/Residential and customization products', content: '<p>From 4-5star hotel to residential projects with various products. \
                        No MOQ, 5pcs for some items could be acceptable.We provide product design, specifications and shop drawings before productions. \
                        The products are complied with USA/Canada certificates and regulations. Below is a typical procedure.</p>',
                        children: { detail: new URL("../../assets/img/News/whatcanwedo01.jpg", import.meta.url).href, name: 'operation flow' }
                    },
                        { position: '3', title: 'Payment Terms', content: '<p>For standard products, 30% deposit only. \
                        For customized design FF&E and high quality hotel relating products,so 40% down payment will be needed.</p>' },
                        { position: '4', title: 'Shipping procedures', content: '<p>We have 15 years of experience for arranging overseas shipping to\
                         various countries with predictable period.</p>' },
                        { position: '5', title: 'Standards and Safety', content: '<p>Stricter than any manufacturers Quality Control in China, weekly products inspection reports on\
                        site in details will be provided to keep you free of quality worries no matter in samples/mock-up room order or Bulk goods order. IS09001 &IS014001 Pollutant\
                         discharge permit safety production standardization certificate, environmental label product certification, credit enterprise certification provided.</p>' },
                        { position: '6', title: 'After Sales Service', content: '<p>5 year for windows/2 years of quality warranty for other products.<br/>\
                        5 years spare parts maintenance will be provided for each order.</p>' },
                        { position: '7', title: 'Efficient 24 hour on line Feedback', content: 'Our team including sales,designer,QC and technical staffs could answer your \
                        questions and solve your problems very efficiently with great management.' },
                    )
                }
            )
        }
    },

    actions: {

    },

    getters: {

    }
})

export default useHomeStore